<template>
  <div class="RestaurantDescriptionComponent">

   <div style="position: relative">
      <b-icon
        @click="backHome"
        class="rounded-circle bg-dark m-3"
        variant="light"
        icon="arrow-left-circle-fill"
        style="font-size: 30px; z-index: 1; position: absolute"
      ></b-icon>
      <b-img
        src="https://picsum.photos/300/150/?image=41"
        fluid-grow
        alt="Fluid-grow image"
      ></b-img>
    </div>

    <div class="m-3">
     <h2><b>{{ $store.state.restaurant.MyRestaurant.name }}</b></h2>
     <p>{{ $store.state.restaurant.MyRestaurant.address }}</p>
    </div>

    <hr class="mx-3 my-4">

  </div>
</template>

<script lang="ts">
import router from "@/router";
import Vue from "vue";
import { mapGetters } from "vuex";

export default Vue.extend({
  name: "RestaurantDescriptionComponent",
  props: {},

  /*computed: {
    ...mapGetters(["restaurant"]),
  },*/


  methods: {
    backHome() {
      router.push("/");
    },
  },
});
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.restaurant-card {
  font-size: 12px;
}

.food-card{
    border: 1px solid black;
}
</style>
